# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2017-04-25 16:36
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DukeDSAPIToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.TextField(unique=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='DukeDSSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField()),
                ('portal_root', models.URLField()),
                ('openid_provider_id', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='OAuthService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
                ('client_id', models.CharField(max_length=64)),
                ('client_secret', models.CharField(max_length=64)),
                ('authorization_uri', models.URLField()),
                ('token_uri', models.URLField()),
                ('resource_uri', models.URLField()),
                ('redirect_uri', models.URLField()),
                ('revoke_uri', models.URLField()),
                ('scope', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='OAuthState',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(max_length=64, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('destination', models.CharField(blank=True, max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='OAuthToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token_json', models.TextField()),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gcb_web_auth.OAuthService')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='oauthtoken',
            unique_together=set([('user', 'service'), ('service', 'token_json')]),
        ),
    ]
